Name:          jtds
Version:       1.2.5
Release:       %mkrel 1
Summary:       SQL Server and Sybase JDBC driver
Group:         Development/Java
License:       LGPL
Url:           http://jtds.sourceforge.net/
Source0:       http://sourceforge.net/projects/jtds/files/jtds/1.2.5/jtds-1.2.5-src.zip
Source1:       jtds-1.2.5-build.xml
# remove org.codehaus.mojo truezip-maven-plugin 1.0-beta-2
Patch0:        jtds-1.2.5-pom.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: jcifs
#BuildRequires: junit
#BuildRequires: libgcj11-base

Requires:      jcifs

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
TDS is an open source 100% pure Java (type 4) JDBC 3.0 driver 
for Microsoft SQL Server (6.5, 7, 2000,2005, and 2008) and Sybase (10, 11, 12, 15).
jTDS is based on FreeTDS and is currently the fastest production-ready JDBC 
driver for SQL Server and Sybase. jTDS is 100% JDBC 3.0 compatible, supporting
forward-only and scrollable/updateable ResultSets, concurrent (completely 
independent) Statements and implementing all the DatabaseMetaData and 
ResultSetMetaData  methods.

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc CHANGELOG LICENSE README

#--------------------------------------------------------------------

%package javadoc
Summary:       API documentation for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains Maven plugin for %{name}

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -c

cp -p %SOURCE1 build.xml

rm -rf lib doc html *.bat

# Files without proper copyright notices and unused
rm -vrf src/SSO
rm -vrf src/XA
rm -vf src/test/net/sourceforge/jtds/test/{AsTest.java,CSUnitTest.java,DatabaseTestCase.java,JDBC3Test.java,NtlmAuthTest.java,SAfeTest.java,SanityTest.java,Tds5Test.java,TestBase.java,TimestampTest.java,UpdateTest.java}
rm -vf src/tools/net/sourceforge/jtds/tools/{PacketLogger.java,SQLProxy.java,SqlForwarder.java}

for d in CHANGELOG LICENSE README* ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%patch0 -p0

%build
ant dist
%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}



%changelog

* Sun Jan 08 2012 gil <gil> 1.2.5-1.mga2
+ Revision: 193472
- imported package jtds

